View Issue Details

IDProjectCategoryView StatusLast Update
0014877LazarusLCLpublic2010-06-12 17:52
ReporterBenito van der ZanderAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Buildr22262 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014877: radiogroup item sizing
DescriptionIf the items of a radiogroup are changed while it is on an invisible notebook page, the last item has the wrong size.
Additional Informationperhaps related to 0014450, 0011386, but there the size of the items is correct, only the spacing is wrong, while here the opposite effects happens

a call to radiogroup.realign when the page becomes visible prevents this problem
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0014450 closedMattias Gaertner TRadioGroup doesn't position content correctly at startup 
related to 0011386 closedZeljan Rikalo TRadioGroup doesn't adjust the items correct, when size changes in OnShow 

Activities

2009-10-22 21:28

 

example.zip (1,945 bytes)

2009-10-22 21:28

 

screenshot.png (7,283 bytes)
screenshot.png (7,283 bytes)

Paul Ishenin

2010-05-01 19:04

manager   ~0037144

already fixed. please test and close if ok.

Issue History

Date Modified Username Field Change
2009-10-22 21:28 Benito van der Zander New Issue
2009-10-22 21:28 Benito van der Zander File Added: example.zip
2009-10-22 21:28 Benito van der Zander Widgetset => Win32/Win64
2009-10-22 21:28 Benito van der Zander File Added: screenshot.png
2009-10-22 21:54 Vincent Snijders Relationship added related to 0014450
2009-10-22 21:54 Vincent Snijders Relationship added related to 0011386
2009-10-22 21:55 Vincent Snijders LazTarget => 1.0
2009-10-22 21:55 Vincent Snijders Status new => acknowledged
2009-10-22 21:55 Vincent Snijders Target Version => 1.0.0
2010-05-01 19:04 Paul Ishenin Status acknowledged => resolved
2010-05-01 19:04 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-01 19:04 Paul Ishenin Resolution open => fixed
2010-05-01 19:04 Paul Ishenin Assigned To => Paul Ishenin
2010-05-01 19:04 Paul Ishenin Note Added: 0037144
2010-06-12 17:52 Benito van der Zander Status resolved => closed